低危 upx_project upx 跨界内存读

CVE编号

CVE-2020-24119

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-15
漏洞描述
A heap buffer overflow read was discovered in upx 4.0.0, because the check in p_lx_elf.cpp is not perfect.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 upx_project upx 4.0.0 -
运行在以下环境
系统 debian_10 upx * Up to
(excluding)
3.95-1
运行在以下环境
系统 debian_11 upx * Up to
(excluding)
3.96-2
运行在以下环境
系统 debian_12 upx * Up to
(excluding)
3.96-3
运行在以下环境
系统 debian_9 upx * Up to
(excluding)
3.91-4
运行在以下环境
系统 debian_sid upx * Up to
(excluding)
3.96-3
运行在以下环境
系统 fedora_32 upx * Up to
(excluding)
3.96-9.fc32
运行在以下环境
系统 fedora_33 upx * Up to
(excluding)
3.96-9.fc33
运行在以下环境
系统 fedora_34 upx * Up to
(excluding)
3.96-9.fc34
运行在以下环境
系统 fedora_EPEL_7 upx * Up to
(excluding)
3.96-9.el7
运行在以下环境
系统 fedora_EPEL_8 upx * Up to
(excluding)
3.96-9.el8
运行在以下环境
系统 opensuse_Leap_15.2 upx * Up to
(excluding)
3.96-bp153.2.3.1
运行在以下环境
系统 opensuse_Leap_15.3 upx * Up to
(excluding)
3.96-bp153.2.3.1
阿里云评分
3.1
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    N/A
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况